Subject: Re: bug#36517: 'guix deploy' does not restart services

From: [email-masked] (Jakob L. Kreuze)
Date: Thu, 11 Jul 2019 13:05:00 -0400

Hi, Ludovic!

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> [email-masked] (Jakob L. Kreuze) skribis:
>
>> This issue is described in more detail at [1]. Essentially, 'guix
>> deploy' is will happily load and start new services, as well as unload
>> obsolete services, but does nothing to restart valid services that are
>> already running.
>
> That’s not a bug: ‘guix system reconfigure’ does not restart already
> running services, simply because it cannot tell whether now is a good
> time to restart them.  It’s a decision that’s left to the system
> administrator.
>
> However, note that ‘guix system reconfigure’ loads “replacements” for
> each Shepherd service, such that next time you run ‘herd restart FOO’,
> you spawn that new version of FOO.
>
> Does that make sense?

Yes, that does make sense. I suppose the way I worded the initial report
wasn't great; I opened this to track support for 'restart-strategy' as
described in #33508 in 'guix deploy'. This takes care of the question of
when a good time to restart the service would be.

Regards,
Jakob